<?php
/**
 * Random image with fancy zoom
 *
 * @package 	Random image with fancy zoom
 * @subpackage 	Random image with fancy zoom
 * @version   	3.7
 * @author    	Gopi Ramasamy
 * @copyright 	Copyright (C) 2010 - 2017 www.gopiplus.com, LLC
 * @license   	http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 * http://www.gopiplus.com/extensions/2011/08/random-image-with-fancy-zoom-joomla-module/
 */

// no direct access
defined('_JEXEC') or die;

// Include the syndicate functions only once
require_once(dirname(__FILE__).'/helper.php');

$folder	= modRandomImageWithFancyZoom::getFolder($params);
$images	= modRandomImageWithFancyZoom::getImages($params, $folder);

if (!count($images)) 
{
	echo JText::_('Image not exist in the folder "' . $folder . '"<br><br>');
	return;
}

require JModuleHelper::getLayoutPath('mod_random_image_with_fancy_zoom', $params->get('layout', 'default'));
modRandomImageWithFancyZoom::loadScripts($params);
?>